#
# spec file for package ghc-x509-system
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name x509-system
Name:           ghc-%{pkg_name}
Version:        1.6.7
Release:        150500.1.1
Summary:        Handle per-operating-system X.509 accessors and storage
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pem-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-x509-devel
BuildRequires:  ghc-x509-store-devel
ExcludeArch:    %{ix86}

%description
System X.509 handling for accessing operating system dependents store and other
storage methods.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Mon Jan 17 2022 psimons@suse.com
- Update x509-system to version 1.6.7.
  Upstream does not provide a change log file.
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 psimons@suse.com
- Re-generate file with latest version of spec-cleaner.
* Fri Nov  8 2019 psimons@suse.com
- Drop obsolete group attributes.
* Sat Oct 20 2018 psimons@suse.com
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update x509-system to version 1.6.6.
  Upstream does not provide a changelog.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.6.5.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 1.6.4 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.6.3 revision 0 with cabal2obs.
* Mon Dec 21 2015 mimi.vx@gmail.com
- update to 1.6.3
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 1.6.1
* Thu Aug  6 2015 mimi.vx@gmail.com
- update to 1.6.0
* Thu Apr 23 2015 mimi.vx@gmail.com
- initial commit
